Subject: [Extra] Warren Kumari's No Objection on draft-ietf-extra-imap-objectid-06: (with COMMENT)

From: Warren Kumari <[email-masked]>
Date: Mon, 30 Jul 2018 09:52:10 -0700

Warren Kumari has entered the following ballot position for
draft-ietf-extra-imap-objectid-06: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-extra-imap-objectid/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Thank you for writing this - I'm really not an IMAP person, but the document
seems to me to be useful and clear.

I do have a question - this is either for my education or something that needs
fixing / clarification :-) Section 4.  MAILBOXID object identifier "The server
SHOULD NOT change MAILBOXID when renaming a folder, as this loses the main
benefit of having a unique identifier." All of the above things in this section
talk about keeping the MAILBOXID the same when doing things to the *mailbox*,
this one instead talks about *folder*; what is the difference between mailbox
and folder? I did spend some time looking and found: "IMAP4rev1 permits
manipulation of mailboxes (remote message folders) in a way that is
functionally equivalent to local folders." (RFC3501) - this didn't enlighten me
much :-) Are the terms interchangeable here? If so, I'd suggest sticking with
one term. (Again, I'm not an IMAP person, this may all be obvious to those
schooled in the art )

Section 4.1.  New response code for CREATE
Syntax: "MAILBOXID" SP "(" <objectid> ")"
Again, this may be obvious to IMAP people, but you may want to mention ABNF
somewhere before this section (it is down in Section 7)

Tiny nit:
10.  IANA Considerations
For the second you say "with a Reference of [[THIS RFC]]." but not for the
first - may be worth making them the same (hey, I did say 'twas a nit!)

---

From: Alexey Melnikov <[email-masked]>
Date: Mon, 30 Jul 2018 17:59:16 +0100

Hi Warren,

Folder and mailbox mean the same thing. RFC 3501 was using "mailbox". 
Users like to talk about "folders". I wish we can just make everybody 
use the same term, but that is not going to work ;-).
I agree that consistent terminology would be good.

---

From: Warren Kumari <[email-masked]>
Date: Mon, 30 Jul 2018 13:56:02 -0400

On Mon, Jul 30, 2018 at 12:59 PM Alexey Melnikov
<[email-masked]> wrote:
> Folder and mailbox mean the same thing.

Excellent, thank you - see, I learnt something :-)

>  RFC 3501 was using "mailbox".

Indeed.
W

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf

---

From: Bron Gondwana <[email-masked]>
Date: Tue, 31 Jul 2018 23:28:59 +1000

On Tue, Jul 31, 2018, at 03:56, Warren Kumari wrote:
>>> ----------------------------------------------------------------
>>> ------>>> COMMENT:
>>> ----------------------------------------------------------------
>>> ------>>> 
>>> Thank you for writing this - I'm really not an IMAP person, but the
>>> document>>> seems to me to be useful and clear.
>>> 
>>> I do have a question - this is either for my education or something
>>> that needs>>> fixing / clarification :-) Section 4.  MAILBOXID object identifier
>>> "The server>>> SHOULD NOT change MAILBOXID when renaming a folder, as this loses
>>> the main>>> benefit of having a unique identifier." All of the above things in
>>> this section>>> talk about keeping the MAILBOXID the same when doing things to the
>>> **mailbox**,>>> this one instead talks about **folder**; what is the difference
>>> between mailbox>>> and folder? I did spend some time looking and found: "IMAP4rev1
>>> permits>>> manipulation of mailboxes (remote message folders) in a way that is>>> functionally equivalent to local folders." (RFC3501) - this didn't
>>> enlighten me>>> much :-) Are the terms interchangeable here? If so, I'd suggest
>>> sticking with>>> one term. (Again, I'm not an IMAP person, this may all be obvious
>>> to those>>> schooled in the art )
>> Users like to talk about "folders". I wish we can just make everybody>> use the same term, but that is not going to work ;-).

Thanks for your review.  I've removed folder and changed it to mailbox
since the objectid is called MAILBOXID so clearly mailbox is the
correct term :)
Cheers,

Bron.

--
  Bron Gondwana, CEO, FastMail Pty Ltd
  [email-masked]